{
  config,
  lib,
  pkgs,
  ...
}:
let
  cfg = config.nix-config;
in
{

  config = {

    # Use hyprland as the main desktop environment but use gdm as desktop manager
    programs.hyprland = {
      enable = true;
      xwayland.enable = false;
    };


    services.displayManager = {
      defaultSession = "hyprland";
    };

    services.xserver.displayManager.gdm = {
      enable = true;
      wayland = true;
    };
    security.pam.services.hyprlock = {};

    security.pam.services.gdm.enableGnomeKeyring = true;

  };

}
